Skip to main content

Customer Migrations Guide: Pre Account Import

This section details additional endpoints that are available to you and might be used during the course of the migration.

Import market participant

Overview

Use this endpoint to import a market participant and its contact details before importing accounts.

Schema

Loading...
POST https://api.ewi-kraken.energy/v1/data-import/market-participant/import/

Responses

The following responses may be returned from the API.

Status codeDescription
201 - Created

If the payload is valid and the market participant was created, a 201 Created response will be returned.

200 - OK

If a market participant with the given code already exists, a 200 OK response will be returned. The existing record is not modified.

400 - Bad Request

If there are validation errors, a 400 Bad Request response will be returned, detailing the errors. To resolve the error, refer to the field definitions and validation rules.

500 - Internal Server Error

If an unexpected error occurs, a 500 Internal Server Error response will be returned with the error reason.

Payloads

Import market participant
{ "code": 9900123456789, "code_type": "BDEW", "name": "Stadtwerke Example GmbH", "role": "NETWORK_OPERATOR", "energy": "ELECTRICITY", "contact_details": [ { "category": "Z10", "name": "EDI-Kommunikation", "email": "edi@stadtwerke-example.de", "phone": "+49123456789", "valid_from": "2024-01-01T00:00:00+01:00" } ] }